\solutionSection

Для решения нужно реализовать алгоритм описанный в статье, ссылка на которую
дана в задаче: Kademlia
(\url{https://pdos.csail.mit.edu/~petar/papers/maymounkov-kademlia-lncs.pdf})

\codeExample

\inputPythonSource
